ogrebot disables ogreharvest
2014-10-16 08:40 AM - pz
Assignee:
Target version:

vbulletin_issue_id:

Description
makes harvesting in areas with aggro mobs pretty annoying.

History

#1 - 2014-10-16 08:42 AM - blammo

primalz wrote:

makes harvesting in areas with aggro mobs pretty annoying.

| can confirm the following:

1. load ogreharvest
2. start ogre harvest - bot starts, moves, etc.
3. load ogre(combat)

4. ogre harvest is disabled

#2 - 2014-10-16 09:13 AM - blammo

5. ogre harvest (without ogre combat loaded) will pause when combat starts, so it's aware of fighting.

#3 - 2014-10-19 12:34 PM - Kannkor

- Status changed from New to Resolved

Did the following changes. Will be patched with OgreBot-17.028
OgreHarvest

e OgreHarvest is very old, and, to be honest, really poorly written for todays standards, and really annoying to work with, and really terrible in
every way shape and form. | hadn't used OgreHarvest in months, if not years. I'm not going to be doing improvements, because it really
needs a full rewrite, and | have no plans to do it. | did get a few updates done before rage quitting.

¢ Ul - Fixed about 100 things wrong with the Ul. No longer is multi-coloured. No longer has massive white borders around random buttons.

e Ul - Fixed the stats window for colour/border also.

e Stats window

o Some people have reported 'double counting' this is an ISXEQ2 bug that has been reported. It will count resources * the number of
In-game chat windows you have open. IE: If you have 1 chat window open, it's resources*1 (which is correct). If you have two chat
windows opens, it's Resources*2. (Multiple tabs are fine, but multiple windows cause this issue).

Successfully worked with the following tests:
Loaded OgreHarvest, started it. (It was moving/harvesting).

Loaded Ogrebot.
OgreHarvest continued like normal.
Paused Ogrebot, OgreHarvest stopped (as expected).

Resumed Ogrebot, OgreHarvest continued.
